From: Michal Čihař <nijel@debian.org>
Subject: Fixes tests so that they can be executed using dash as /bin/sh.
Bug: http://sourceforge.net/tracker/index.php?func=detail&aid=2125959&group_id=122858&atid=694730
--- a/tests/t_datadir
+++ b/tests/t_datadir
@@ -2,11 +2,11 @@
 
 unset SDCV_PAGER
 have=`../src/sdcv --data-dir ./ -l | wc -l`
-let have=have-1
+have=$(($have-1))
 ndicts=`find "${HOME}"/.stardict/dic -name "*.ifo" -print | wc -l`
-let ndicts=ndicts+1
+ndicts=$(($ndicts+1))
 if [ $have -ne $ndicts ]; then
-	let ndicts=ndicts-1
+	ndicts=$(($ndicts-1))
 	echo "test failed: sdcv says: we have: $have, but really we have: $ndicts" >&2
 	exit 1
 fi
--- a/tests/t_list
+++ b/tests/t_list
@@ -1,10 +1,10 @@
 #!/bin/sh
 
 ndicts=`../src/sdcv -l | wc -l`
-let ndicts=ndicts-1
+ndicts=$(($ndicts-1))
 ncom=`find /usr/share/stardict/dic -name "*.ifo" | wc -l`
 nspe=`find "${HOME}"/.stardict/dic -name "*.ifo" | wc -l`
-let nmy=ncom+nspe
+nmy=$(($ncom+$nspe))
 
 if [ $nmy -ne $ndicts ]; then
 	echo "should be: $nmy, we have: $ndicts" >&2
--- a/tests/t_utf8input
+++ b/tests/t_utf8input
@@ -9,13 +9,13 @@
 "
 j=0
 for i in `../src/sdcv --utf8-input -n человек 2>&1`; do
-	let j=j+1
+	j=$(($j+1))
 	if [ $j -ne 1 ]; then
 		break;
 	fi
 done
 
-if [ $j -eq 1 ]; then
+if [ $j -ne 1 ]; then
 	echo "empty results of search: test failed" >&2
 	exit 1
 fi
